Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class SortHint

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.core.PropertyStructure
              org.eclipse.birt.report.model.api.elements.structures.SortHint

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class SortHint

extends org.eclipse.birt.report.model.core.PropertyStructure

This class represents a sort hint.

Field Summary
`static java.lang.String` | `COLUMN_NAME_MEMBER` Name of the column name member.
`static java.lang.String` | `DIRECTION_MEMBER` Name of the direction member.
`static java.lang.String` | `IS_OPTIONAL_MEMBER` Name of the isOptional member.
`static java.lang.String` | `NULL_VALUE_ORDERING_MEMBER` Name of the nullValueOrdering member.
`static java.lang.String` | `POSITION_MEMBER` Name of the column position member.
`static java.lang.String` | `SORT_HINT_STRUCT` Name of this structure.

Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`propValues`

Constructor Summary
`SortHint()`

Method Summary
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`java.util.List<SemanticException>` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validates this structure.

Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`clone, getIntrinsicProperty, getLocalProperty, getLocalProperty, setIntrinsicProperty, setProperty`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SORT_HINT_STRUCT

    public static final java.lang.String SORT_HINT_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### COLUMN_NAME_MEMBER

    public static final java.lang.String COLUMN_NAME_MEMBER

  Name of the column name member. This member keys the column hint to a column within the result set.

  See Also:
    Constant Field Values

### POSITION_MEMBER

    public static final java.lang.String POSITION_MEMBER

  Name of the column position member. It is 1-based index position (left-to-right order) of a result set column.

  See Also:
    Constant Field Values

### DIRECTION_MEMBER

    public static final java.lang.String DIRECTION_MEMBER

  Name of the direction member. It is sort direction of the result set column.

  See Also:
    Constant Field Values

### NULL_VALUE_ORDERING_MEMBER

    public static final java.lang.String NULL_VALUE_ORDERING_MEMBER

  Name of the nullValueOrdering member. The ordering of null vs. non-null values in the sort order.

  See Also:
    Constant Field Values

### IS_OPTIONAL_MEMBER

    public static final java.lang.String IS_OPTIONAL_MEMBER

  Name of the isOptional member. It indicates whether this sort key can be excluded at runtime.

  See Also:
    Constant Field Values

Constructor Detail

### SortHint

    public SortHint()

Method Detail

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### validate

    public java.util.List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module,
                                                      org.eclipse.birt.report.model.core.DesignElement element)

  Validates this structure. The following are the rules:
  - If a column can only be identified by position, this name may be empty.

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`
  See Also:
    `Structure.validate(Module, org.eclipse.birt.report.model.core.DesignElement)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.